/* eslint-disable max-len */
import * as React from "react";
import { SVGProps } from "react";

import { IiCon } from "@/(types)/IconInterface";
import styles from "@/icons/IconFills.module.scss";

export const UrlIcon = ({ color, width = "24px", height = "24px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 24 24"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path
            d="M 0.153 12 C 0.153 8.38 3.073 5.418 6.734 5.418 L 9.695 5.418 C 10.23 5.418 10.684 5.871 10.684 6.406 C 10.684 6.981 10.23 7.393 9.695 7.393 L 6.734 7.393 C 4.184 7.393 2.128 9.491 2.128 12 C 2.128 14.551 4.184 16.607 6.734 16.607 L 9.695 16.607 C 10.23 16.607 10.684 17.06 10.684 17.593 C 10.684 18.17 10.23 18.582 9.695 18.582 L 6.734 18.582 C 3.073 18.582 0.153 15.661 0.153 12 Z M 23.846 12 C 23.846 15.661 20.884 18.582 17.264 18.582 L 14.303 18.582 C 13.727 18.582 13.316 18.17 13.316 17.593 C 13.316 17.06 13.727 16.607 14.303 16.607 L 17.264 16.607 C 19.775 16.607 21.872 14.551 21.872 12 C 21.872 9.491 19.775 7.393 17.264 7.393 L 14.303 7.393 C 13.727 7.393 13.316 6.981 13.316 6.406 C 13.316 5.871 13.727 5.418 14.303 5.418 L 17.264 5.418 C 20.884 5.418 23.846 8.38 23.846 12 Z M 7.721 11.012 L 16.277 11.012 C 16.812 11.012 17.264 11.465 17.264 12 C 17.264 12.576 16.812 12.987 16.277 12.987 L 7.721 12.987 C 7.145 12.987 6.734 12.576 6.734 12 C 6.734 11.465 7.145 11.012 7.721 11.012 Z"
            fill={fill}
        />
    </svg>
);
